package de.accso.flexinale.ticketing_api_contract.api_contract;

import de.accso.flexinale.common.shared_kernel.Identifiable;

public interface Ticketing { //TODO split by "interface segregation"
    void gebeVorfuehrungInDenVerkauf(final Identifiable.Id vorfuehrungId, int kapazitaet);

    void loeseGutscheineOnlineFuerVorfuehrungEin(final Identifiable.Id vorfuehrungId, Identifiable.Id filmId, Identifiable.Id benutzerId, int anzahlGutscheine);
    int getRestkontingentOnline(final Identifiable.Id vorfuehrungId); //TODO do not return kontingent as Integer but as new KontingentTO
}
